Author Topic: Microsoft .NET Framework v.2 problem - pop-up message keeps appearing  (Read 376 times)

0 Members and 1 Guest are viewing this topic.

Offline close2u

  • Administrator
  • All Time Legend
  • *****
  • Posts: 12516
  • Good Vibes 509
  • Teesside, North East England.
Asking for a friend ...

she normally uses her ipad but due to remote working has had to begin using a laptop (Win 10).
She keeps getting a pop up message headed:
"Required system software not installed"

the content reads:

Microsoft .NET Framework version 2 is required to continue. The software is available for download at http://www.microsoft.com/downloads

then there is an OK button.

I gave what help I could including downloading / installing .NET but she still gets the pop up message.

She sent these screenshots:







I'm at the end of the tech help I can offer. Any advice please? :)
« Last Edit: May 20, 2020, 11:07:03 am by close2u »

Offline DavidP

  • All Time Legend
  • *******
  • Posts: 5230
  • Good Vibes 288
  • You're always learning about guitars-Keef Richards
Guess you need the Majik magic on this one, Richard. Beyond my Windows skills to assist.

Offline Spike_tm

  • School Prom Hero
  • **
  • Posts: 37
  • Good Vibes 1
Assuming it is 64bits, you downloaded and installed the package?
https://www.microsoft.com/en-us/download/details.aspx?id=6523

Usually it is an installation of the package and a reboot that should do the trick.

But .Net with the different versions can cause some headaches.

Offline close2u

  • Administrator
  • All Time Legend
  • *****
  • Posts: 12516
  • Good Vibes 509
  • Teesside, North East England.
She has 64 bit so I have asked her to follow that link and click the red button!

:)


Offline close2u

  • Administrator
  • All Time Legend
  • *****
  • Posts: 12516
  • Good Vibes 509
  • Teesside, North East England.
Update ...

the pop up message still appears.
My friend has 64 bit and has downloaded / installed using the link from Spike_tm.

Any more advice to help?

Offline DarrellW

  • Stadium Superstar
  • ******
  • Posts: 2665
  • Good Vibes 119
  • Getting on with my life now!
I think it’s a bug, it looks like 3.5 containing 2.0 is not being properly recognised and when you install 2.0 it causes conflicts with 3.5. The only thing apart from contacting Microsoft support is to disable or uninstall 3.5 and restart and see if it comes up with the same problem with just 2.0 on.
Still here, still learning - don’t let obstacles get in my way Fibromyalgia sucks but doesn’t mean your life stops!

Online Rossco01

  • Stadium Superstar
  • ******
  • Posts: 2142
  • Good Vibes 78
Everything online points to the suggestions already made. It's almost certainly an old applications/driver that is requesting .net 2.0 to be used which is why the pop up is happening. One solution would be to uninstall stuff not required and see if that solves it. Also to make sure that all apps and drivers are on latest versions (wont help if it's an old app that hasn't had an update provided for it).

I did also find this link https://support.microsoft.com/en-gb/help/2698555/microsoft-net-framework-repair-tool-is-available that is to a microsoft repair .net repair tool. Not sure if it'll help.
Epiphone Masterbilt DR500MCE, Yamaha Pacifica 112V, HB Tele, Fender Mustang 1v2, Katana 100, Trio Plus, Boss GT1
Follow me on >> https://soundcloud.com/rossco01
YouTube: https://www.youtube.com/channel/UCHlzgAndj0AFFSNE1iGnb

Online Majik

  • Stadium Superstar
  • ******
  • Posts: 2209
  • Good Vibes 154
Guess you need the Majik magic on this one, Richard. Beyond my Windows skills to assist.

Sorry, but I've not been around for the last couple of weeks so I missed this. I can only echo the advice offered by others. Note that Windows is one of the areas I don't have much expertise in, as I avoid using it where I can.

Cheers,

Keith
Guitars: PRS Singlecut S2, Fender Tele Lite Ash, G&L Legacy Tribute, Freshman Apollo 2 OCBX, Gibson SG Special P90
Amps: Bugera G5 Head, Boss Katana 100
All sorts of other stuff.

Offline Spike_tm

  • School Prom Hero
  • **
  • Posts: 37
  • Good Vibes 1
Update ...

the pop up message still appears.
My friend has 64 bit and has downloaded / installed using the link from Spike_tm.

Any more advice to help?
Basically:
- uninstall the existing .net versions.
- reboot the system
- activate v3.5 again, this includes all previous versions including v2.0
- install the latest version as well

It is not that unusual that some bit falls over in an update and messes up the framework.
Clean installation should do the trick, if not we need to go into step by step dism command line stuff to sort it out

Offline close2u

  • Administrator
  • All Time Legend
  • *****
  • Posts: 12516
  • Good Vibes 509
  • Teesside, North East England.
Thanks, I have passed that further advice on. :)

 

Get The Forum As A Mobile App